Bug 529196 - Review Request: ms-anonymouspro-fonts - AnonymousPro fonts
Review Request: ms-anonymouspro-fonts - AnonymousPro fonts
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Robin Sonefors
Fedora Extras Quality Assurance
:
: 529369 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-15 08:55 EDT by Robin Sonefors
Modified: 2009-12-04 18:36 EST (History)
4 users (show)

See Also:
Fixed In Version: 1.001-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-27 02:28:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nicolas.mailhot: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robin Sonefors 2009-10-15 08:55:28 EDT
Spec URL: http://flukkost.nu/msimonson-anonymouspro-fonts.spec
SRPM URL: http://flukkost.nu/msimonson-anonymouspro-fonts-1.001-1.fc12.src.rpm
Description:
Anonymous Pro is a family of fixed-width fonts designed especially with coding
in mind. Characters that could be mistaken for one another (O, 0, I, l, 1,
etc.) have distinct shapes to make them easier to tell apart in the context of
source code.

It has support for most Western and European Latin-based languages, Greek, and
Cyrillic. It also includes special “box drawing” characters.

Anonymous Pro is based on an earlier font, Anonymous, which is a TrueType
version of Susan Lesch and David Lamkins’ font Anonymous 9, a freeware
Macintosh bitmap font.

This is my very first package.
Comment 1 Nicolas Mailhot 2009-10-17 11:53:05 EDT
*** Bug 529369 has been marked as a duplicate of this bug. ***
Comment 2 Nicolas Mailhot 2009-10-17 12:19:04 EDT
Very nice submission, please do more!

1. spec is ok

2. you need to use “Anonymous Pro” and not “AnonymousPro” in your fontconfig file (use fc-query <filename> to check the name exported by a font file)

3. you've reversed the substitution rule. Since you're installing “Anonymous Pro” you want to say “if an app asks for « Anonymous », and it is not available, use the installed « Anonymous Pro » instead” and not the reverse
Comment 3 Nicolas Mailhot 2009-10-17 12:20:38 EDT
4. also please write a summary that does not include the font name — it's already part of the package name, and CLI or GUI package management tools will always display it next to the summary"
Comment 4 Robin Sonefors 2009-10-17 13:21:04 EDT
Ok, the above complaints have been fixed:

Spec URL: http://flukkost.nu/msimonson-anonymouspro-fonts.spec
SRPM URL: http://flukkost.nu/msimonson-anonymouspro-fonts-1.001-2.fc12.src.rpm
Comment 5 Nicolas Mailhot 2009-10-17 13:55:21 EDT
It is with great pleasure that I can declare this version golden. Nice work!

᧱᧱᧱ APPROVED ᧱᧱᧱

You can now continue from:
http://fedoraproject.org/wiki/Font_package_lifecycle#3.a

If you need sponsorship in the packager group, you can ping me after another of your submissions reaches the “approved” stage.

I hope the process was pleasant, and that it will inspire you to package other
fonts for Fedora. Please do not hesitate to suggest improvements to our
organisation on the fonts mailing list.

Thank you for your contribution to our font package pool.

⇒ REASSIGNING
Comment 6 Robin Sonefors 2009-10-19 15:19:38 EDT
New Package CVS Request
=======================
Package Name: msimonson-anonymouspro-fonts
Short Description: A coding-friendly monospace font
Owners: ozamosi
Branches: F11 F12
InitialCC: fonts-sig
Comment 7 Kevin Fenzi 2009-10-22 00:47:55 EDT
cvs done.
Comment 8 Fedora Update System 2009-10-22 11:11:18 EDT
msimonson-anonymouspro-fonts-1.001-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/msimonson-anonymouspro-fonts-1.001-2.fc11
Comment 9 Fedora Update System 2009-10-27 02:28:31 EDT
msimonson-anonymouspro-fonts-1.001-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-12-02 11:27:06 EST
msimonson-anonymouspro-fonts-1.001-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/msimonson-anonymouspro-fonts-1.001-2.fc12
Comment 11 Fedora Update System 2009-12-04 18:36:39 EST
msimonson-anonymouspro-fonts-1.001-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.